Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(161)

Issue 2846913002: Add a Certificate Viewer link to the Page Info dropdown (Closed)

Created:
2 years, 3 months ago by elawrence
Modified:
2 years, 3 months ago
CC:
asvitkine+watch_chromium.org, chromium-reviews, lgarron+watch_chromium.org, mac-reviews_chromium.org, oshima+watch_chromium.org, raymes+watch_chromium.org, tfarina
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add a Certificate Viewer link to the Page Info dropdown In Chrome 55, we removed the easy path from Page Info to the Certificate Viewer dialog. This change puts it back in a new Certificate view just above the Cookie view. BUG=663971 Review-Url: https://codereview.chromium.org/2846913002 Cr-Commit-Position: refs/heads/master@{#468539} Committed: https://chromium.googlesource.com/chromium/src/+/d9978fcc021c14d5260d1abffc2d0b39e41018db

Patch Set 1 #

Total comments: 21

Patch Set 2 : Address review feedback #

Total comments: 5

Patch Set 3 : Fix nit #

Patch Set 4 : Replace View-derived class with factory function #

Patch Set 5 : Omit Vector icons on Android #

Total comments: 10

Patch Set 6 : Address nits #

Total comments: 18

Patch Set 7 : Address feedback #

Total comments: 1

Patch Set 8 : Rename Views static function #

Patch Set 9 : Fix merge conflict #

Patch Set 10 : Fix merge conflict #

Unified diffs Side-by-side diffs Delta from patch set Stats (+423 lines, -184 lines) Patch
M chrome/app/vector_icons/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
A chrome/app/vector_icons/certificate.icon View 1 1 chunk +49 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.h View 1 2 3 4 5 6 7 8 9 1 chunk +11 lines, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.cc View 1 2 3 4 5 6 7 8 9 1 chunk +10 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.h View 1 2 3 4 5 6 7 8 4 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.mm View 1 2 3 4 5 6 7 8 9 chunks +180 lines, -112 lines 0 comments Download
M chrome/browser/ui/page_info/page_info_ui.h View 1 2 3 4 2 chunks +12 lines, -0 lines 0 comments Download
M chrome/browser/ui/page_info/page_info_ui.cc View 1 2 3 4 4 chunks +23 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/page_info/page_info_bubble_view.h View 1 2 3 4 5 6 3 chunks +4 lines, -7 lines 0 comments Download
M chrome/browser/ui/views/page_info/page_info_bubble_view.cc View 1 2 3 4 5 6 7 9 chunks +100 lines, -62 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -0 lines 0 comments Download
M components/page_info_strings.grdp View 1 2 3 4 5 6 2 chunks +15 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 55 (30 generated)
elawrence
oshima@: Please review changes in chrome/app/theme/* rsesek@: Please review changes in chrome/browser/ui/cocoa/* msw@: Please review ...
2 years, 3 months ago (2017-04-27 15:42:42 UTC) #2
oshima
On 2017/04/27 15:42:42, elawrence wrote: > oshima@: Please review changes in chrome/app/theme/* can you use ...
2 years, 3 months ago (2017-04-27 16:39:12 UTC) #3
Robert Sesek
https://codereview.chromium.org/2846913002/diff/1/chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.h File chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.h (right): https://codereview.chromium.org/2846913002/diff/1/chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.h#newcode33 chrome/browser/ui/cocoa/page_info/page_info_bubble_controller.h:33: @interface InspectLinkView : FlippedView { You can forward declare ...
2 years, 3 months ago (2017-04-27 18:08:56 UTC) #4
msw
https://codereview.chromium.org/2846913002/diff/1/chrome/browser/ui/views/page_info/page_info_bubble_view.cc File chrome/browser/ui/views/page_info/page_info_bubble_view.cc (right): https://codereview.chromium.org/2846913002/diff/1/chrome/browser/ui/views/page_info/page_info_bubble_view.cc#newcode309 chrome/browser/ui/views/page_info/page_info_bubble_view.cc:309: // |InspectLinkView| is a UI element (view) that shows ...
2 years, 3 months ago (2017-04-27 19:47:55 UTC) #5
Mark P
histograms.xml lgtm
2 years, 3 months ago (2017-04-27 20:51:33 UTC) #6
elawrence
Thanks for your quick reviews! @estade: PTAL at the new vector icon. @oshima: I've replaced ...
2 years, 3 months ago (2017-04-27 21:44:25 UTC) #8
msw
chrome/browser/ui/[views|page_info] lgtm
2 years, 3 months ago (2017-04-27 21:51:22 UTC) #9
Evan Stade
vector icon lgtm https://codereview.chromium.org/2846913002/diff/20001/chrome/browser/ui/page_info/page_info_ui.cc File chrome/browser/ui/page_info/page_info_ui.cc (right): https://codereview.chromium.org/2846913002/diff/20001/chrome/browser/ui/page_info/page_info_ui.cc#newcode463 chrome/browser/ui/page_info/page_info_ui.cc:463: return image; nit: return gfx::Image(gfx::Create... https://codereview.chromium.org/2846913002/diff/20001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc ...
2 years, 3 months ago (2017-04-27 21:58:05 UTC) #10
lgarron
On 2017/04/27 at 21:58:05, estade wrote: > vector icon lgtm > > https://codereview.chromium.org/2846913002/diff/20001/chrome/browser/ui/page_info/page_info_ui.cc > File ...
2 years, 3 months ago (2017-04-27 22:03:16 UTC) #11
Robert Sesek
LGTM
2 years, 3 months ago (2017-04-27 22:09:27 UTC) #12
elawrence
> Eric: Can you confirm that the icon intentionally has > the same vector definitions ...
2 years, 3 months ago (2017-04-27 22:12:49 UTC) #13
Evan Stade
On 2017/04/27 22:12:49, elawrence wrote: > > Eric: Can you confirm that the icon intentionally ...
2 years, 3 months ago (2017-04-27 22:24:17 UTC) #14
elawrence
Thanks again for your reviews! estade@: PTAL-- as requested, I've removed the Views-derived class and ...
2 years, 3 months ago (2017-04-28 17:00:48 UTC) #21
oshima
I don't think you need my review any longer. removing myself
2 years, 3 months ago (2017-04-28 19:30:57 UTC) #29
Evan Stade
minor nits, I'll let msw review more thoroughly https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc File chrome/browser/ui/views/page_info/page_info_bubble_view.cc (right): https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc#newcode640 chrome/browser/ui/views/page_info/page_info_bubble_view.cc:640: PageInfo::SITE_IDENTITY_STATUS_ERROR) ...
2 years, 3 months ago (2017-04-28 19:51:21 UTC) #31
elawrence
https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc File chrome/browser/ui/views/page_info/page_info_bubble_view.cc (right): https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc#newcode640 chrome/browser/ui/views/page_info/page_info_bubble_view.cc:640: PageInfo::SITE_IDENTITY_STATUS_ERROR) On 2017/04/28 19:51:20, Evan Stade wrote: > nit: ...
2 years, 3 months ago (2017-04-28 20:36:51 UTC) #35
Evan Stade
https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc File chrome/browser/ui/views/page_info/page_info_bubble_view.cc (right): https://codereview.chromium.org/2846913002/diff/90001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc#newcode700 chrome/browser/ui/views/page_info/page_info_bubble_view.cc:700: views::View* PageInfoBubbleView::CreateInspectSection( On 2017/04/28 20:36:51, elawrence wrote: > On ...
2 years, 3 months ago (2017-04-28 20:56:56 UTC) #36
lgarron
LGTM with nits. https://codereview.chromium.org/2846913002/diff/130001/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/2846913002/diff/130001/chrome/browser/about_flags.cc#newcode2574 chrome/browser/about_flags.cc:2574: #endif // defined(OS_CHROMEOS) Nit: Still unrelated. ...
2 years, 3 months ago (2017-04-28 23:16:43 UTC) #37
elawrence
Thanks for the reviews! msw@, would you like one final look at where we ended ...
2 years, 3 months ago (2017-04-29 12:38:59 UTC) #38
msw
Nice, this is even better; still lgtm with a minor nit. https://codereview.chromium.org/2846913002/diff/150001/chrome/browser/ui/views/page_info/page_info_bubble_view.cc File chrome/browser/ui/views/page_info/page_info_bubble_view.cc (right): ...
2 years, 3 months ago (2017-05-01 21:46:53 UTC) #43
elawrence
On 2017/05/01 21:46:53, msw wrote: > Nice, this is even better; still lgtm with a ...
2 years, 3 months ago (2017-05-01 21:57:39 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2846913002/190001
2 years, 3 months ago (2017-05-01 22:12:57 UTC) #47
commit-bot: I haz the power
Failed to apply patch for chrome/browser/about_flags.cc: While running git apply --index -3 -p1; error: patch ...
2 years, 3 months ago (2017-05-01 23:35:33 UTC) #49
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2846913002/210001
2 years, 3 months ago (2017-05-02 00:44:52 UTC) #52
commit-bot: I haz the power
2 years, 3 months ago (2017-05-02 02:45:40 UTC) #55
Message was sent while issue was closed.
Committed patchset #10 (id:210001) as
https://chromium.googlesource.com/chromium/src/+/d9978fcc021c14d5260d1abffc2d...

Powered by Google App Engine
This is Rietveld 408576698